> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new account

> 
The integration sends a request to this endpoint to create a corresponding account in Pleo for any new record created in the external ERP/accounting system.
The request will fail if an account with the same `externalId` and `companyId` already exists in Pleo.




## OpenAPI

````yaml post /v1/chart-of-accounts
openapi: 3.0.1
info:
  title: Chart of Accounts API
  description: Bookkeeping Core OpenAPI definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: team.actina@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 24.9.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: BookkeepingCore
    description: This resource is associated with the BookkeepingCore API
  - name: Accounts
    description: >
      This API enables you to create an account in Pleo, search for an account
      by its ID, update details of an account recorded in Pleo, delete an
      account from Pleo, or apply specific filters to retrieve a list of
      accounts managed in Pleo.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Aggregated Bookkeeping Category Groups
    description: >-
      This API enables you to read aggregated bookkeeping category groups.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Aggregated Contra Accounts
    description: >-
      This API enables you to read aggregated contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Bookkeeping Categories
    description: >
      This API enables you to perform operations on a bookkeeping category.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes..
  - name: Bookkeeping Category Groups
    description: >-
      This API enables you to perform operations on a bookkeeping category
      group.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes.
  - name: Contra Accounts
    description: >
      This API enables you to manage contra accounts.


      💡**Note**


      Please note that only response codes specific to the API behaviour are
      documented. Otherwise, we follow HTTP response codes..
  - name: Bookkeeping Preferences Resource
paths:
  /v1/chart-of-accounts:
    post:
      tags:
        - Accounts
      summary: Create a new account
      description: >

        The integration sends a request to this endpoint to create a
        corresponding account in Pleo for any new record created in the external
        ERP/accounting system.

        The request will fail if an account with the same `externalId` and
        `companyId` already exists in Pleo.
      operationId: createAccountV1
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              $ref: '#/components/schemas/BookkeepingAccountCreateRequestV1'
        required: true
      responses:
        '200':
          description: Request matched existing account.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponseBookkeepingAccountRestModelV1'
              example:
                data:
                  archived: false
                  code: '2001'
                  companyId: 123e4567-e89b-12d3-a456-426614174006
                  externalId: External Id
                  id: 123e4567-e89b-12d3-a456-426614174005
                  name: Bank Charges
                  taxCodeExternalId: IVA 20
        '201':
          description: Account created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataResponseBookkeepingAccountRestModelV1'
              example:
                data:
                  archived: false
                  code: '2001'
                  companyId: 123e4567-e89b-12d3-a456-426614174006
                  externalId: External Id
                  id: 123e4567-e89b-12d3-a456-426614174005
                  name: Bank Charges
                  taxCodeExternalId: IVA 20
        '400':
          description: 'Bad request: for example, missing required fields.'
        '409':
          description: 'Conflict: account with the same `externalId` exists in Pleo.'
components:
  schemas:
    BookkeepingAccountCreateRequestV1:
      required:
        - archived
        - companyId
        - externalId
        - name
      type: object
      properties:
        archived:
          type: boolean
          description: Boolean flag used to determine if the account is archived.
        code:
          maxLength: 255
          minLength: 0
          type: string
          description: >-
            Account code or number used in the accounting system's chart of
            accounts. Maximum length: 255 characters.
          nullable: true
        companyId:
          type: string
          description: >-
            Pleo's internal identifier for the company the account is associated
            with.
          format: uuid
        externalId:
          maxLength: 255
          minLength: 1
          type: string
          description: >-
            Non empty unique external identifier of the account, assigned in the
            external ERP/accounting system. Can be the same as code if no other
            identifier is available. Maximum length: 255 characters.
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: 'Name of the account. Maximum length: 255 characters.'
        taxCodeExternalId:
          type: string
          description: >-
            The identifier in **the target system** for the tax code the account
            is associated with.

            - This is NOT the tax percentage (e.g. 20%)

            - This is NOT the Pleo UUID of the tax code
          nullable: true
    DataResponseBookkeepingAccountRestModelV1:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/BookkeepingAccountRestModelV1'
    BookkeepingAccountRestModelV1:
      required:
        - archived
        - companyId
        - externalId
        - id
        - name
      type: object
      properties:
        archived:
          type: boolean
          description: Boolean flag used to determine if the account is archived.
        code:
          type: string
          description: >-
            Account code or number used in the accounting system's chart of
            accounts.
          nullable: true
        companyId:
          type: string
          description: >-
            Pleo's internal identifier of the company the account is associated
            with.
          format: uuid
        externalId:
          type: string
          description: >-
            Unique external identifier of the account, assigned in the external
            ERP/accounting system. Can be the same as code if no other
            identifier is available.
        id:
          type: string
          description: Pleo's internal identifier of the account.
          format: uuid
        metadata:
          type: object
          additionalProperties:
            type: object
            description: Place for API users to store flexible data.
            nullable: true
          description: Place for API users to store flexible data.
          nullable: true
        name:
          type: string
          description: Name of the account.
        taxCodeExternalId:
          type: string
          description: >-
            The identifier in **the target system** for the tax code the account
            is associated with. 
          nullable: true
      description: Represents an account in Pleo.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````